Skip to content
Advertisements

Archive for

libXtst.so.6: undefined reference to `__stack_chk_fail@GLIBC_2.4′

When we try to rebuild the forms or reports, you may get the below issues

“[appluat@ebsuat lib]$ make -f ins_reports.mk install
rm -f /u01/EBSUAT/apps/tech_st/10.1.2/lib//librwu.so; \
rm -f /u01/EBSUAT/apps/tech_st/10.1.2/lib//librw.so
rm -f rwsutil.o rwspid.o ; \
/usr/bin/ar x /u01/EBSUAT/apps/tech_st/10.1.2/lib//librwu.a rwsutil.o rwspid.o ; \
(LD_OPTIONS=”-z muldefs”; \
/usr/bin/gcc -m32 -o /u01/EBSUAT/apps/tech_st/10.1.2/lib//librwu.so -shared -L/u01/EBSUAT/apps/tech_st/10.1.2/lib/ -L/u01/EBSUAT/apps/tech_st/10.1.2/lib/stubs/ rwsutil.o rwspid.o \
-lm /u01/EBSUAT/apps/tech_st/10.1.2/lib/libclntsh.so -lpthread -Wl,-rpath,/usr/X11R6/lib -L/usr/X11R6/lib -lXm -lXt -lX11 -lm -lXp -lXext `cat /u01/EBSUAT/apps/tech_st/10.1.2/lib/sysliblist` -lc )
rm -f zrhitem.o zrhcursor.o; \
/usr/bin/ar x /u01/EBSUAT/apps/tech_st/10.1.2/lib//librw.a zrhitem.o zrhcursor.o
rm -f rwbuilder
gcc -m32 -o rwbuilder -L/u01/EBSUAT/apps/tech_st/10.1.2//lib/ -L/u01/EBSUAT/apps/tech_st/10.1.2/lib/ -L/u01/EBSUAT/apps/tech_st/10.1.2/lib//stubs -rdynamic -Bdynamic -L/u01/EBSUAT/apps/tech_st/10.1.2/jdk/jre/lib/i386 -L/u01/EBSUAT/apps/tech_st/10.1.2/jdk/jre/lib/i386/server -L/u01/EBSUAT/apps/tech_st/10.1.2/jdk/jre/lib/i386/native_threads -ljvm rxmasb.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/ui10.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/uiicxd.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/rwsng.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/rwscl.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/rwssc.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/rwssc0.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/rwsdt.o /u01/EBSUAT/apps/tech_st/10.1.2/reports/lib/rwscr.o -lrw /u01/EBSUAT/apps/tech_st/10.1.2/lib//librw.a -lobx -lnn -lrws -lde /u01/EBSUAT/apps/tech_st/10.1.2/lib//libzrc.a -lrws -lucol -luicc -lca -lmma -lmmiw -lmmov -lmma -lmmos -lmmoi -lmmia -lmmft -lmmcm -lvgs -luihx -luc -luipr -luimotif -lot -lrem -lree -lrec -luiimg -luimotif -luipr -luiimg -luc -lrem -luimotif -luia -ltknqap -luipr -luimotif -lutt -lix -lixd -lrod -lror -lros -lrod -lror -lros -lrod -luat -ldfc -lutc -lutj -lutl -lutsl -lpls10 -lplp10 /u01/EBSUAT/apps/tech_st/10.1.2/lib/libplc10.a -lpls10 -lplp10 -lslax10 -lsql10 -lclntsh `cat /u01/EBSUAT/apps/tech_st/10.1.2/lib/ldflags` -lnsslb10 -lnsgr10 -lnzjs10 -ln10 -lnnz10 -lnl10 -lnro10 `cat /u01/EBSUAT/apps/tech_st/10.1.2/lib/ldflags` -lnsslb10 -lnsgr10 -lnzjs10 -ln10 -lnnz10 -lnl10 -lclient10 -lnnetd10 -lvsn10 -lcommon10 -lgeneric10 -lmm -lcore10 -lunls10 -lsnls10 -lnls10 -lcore10 -lnls10 `cat /u01/EBSUAT/apps/tech_st/10.1.2/lib/ldflags` -lnsslb10 -lnsgr10 -lnzjs10 -ln10 -lnnz10 -lnl10 -lnro10 `cat /u01/EBSUAT/apps/tech_st/10.1.2/lib/ldflags` -lnsslb10 -lnsgr10 -lnzjs10 -ln10 -lnnz10 -lnl10 -lclient10 -lnnetd10 -lvsn10 -lcommon10 -lgeneric10 -lcore10 -lunls10 -lsnls10 -lnls10 -lcore10 -lnls10 -lclient10 -lnnetd10 -lvsn10 -lcommon10 -lgeneric10 -lcore10 -lunls10 -lsnls10 -lnls10 -lcore10 -lnls10 `cat /u01/EBSUAT/apps/tech_st/10.1.2/lib/sysliblist` -Wl,-rpath,/u01/EBSUAT/apps/tech_st/10.1.2/lib,-rpath,/u01/EBSUAT/apps/tech_st/10.1.2/jdk/jre/lib/i386:/lib:/usr/lib -lm `cat /u01/EBSUAT/apps/tech_st/10.1.2/lib/sysliblist` -ldl -lpthread -lm -L/u01/EBSUAT/apps/tech_st/10.1.2/lib -L/u01/EBSUAT/apps/tech_st/10.1.2/lib/stubs/ -lsnls10 -lpthread -ljvm -lhpi -Wl,-rpath,/usr/X11R6/lib -L/usr/X11R6/lib -lXm -lXt -lX11 -lm -lXp -lXext /u01/EBSUAT/apps/tech_st/10.1.2/lib//librw.a -lnsl
/usr/lib/libXtst.so.6: undefined reference to `__stack_chk_fail@GLIBC_2.4′
/usr/lib/libXtst.so.6: undefined reference to `__fprintf_chk@GLIBC_2.3.4′
/usr/lib/libXtst.so.6: undefined reference to `__sprintf_chk@GLIBC_2.3.4′
collect2: ld returned 1 exit status
make: *** [rwbuilder] Error 1″

 

Solution :

Oracle Forms Upgrade to 10.1.2.3 fails with error /usr/lib/libXtst.so.6: undefined reference (Doc ID 1120527.1)

 

 

Advertisements

OUI to the latest version on EBS 12.1.3

you must required to upgrade OUI to latest version on EBS Version while Deploying JRE native for Windows Client, Here If you need to execute runInstaller like below

 

./runInstaller -ignoreSysPrereqs -invPtrLoc /u01/EBSUAT/apps/tech_st/10.1.2/oraInst.loc